Page MenuHomePhabricator

Missing parameter 'badge' of api.php?action=querylist=querypage&qppage=PagesWithBadges
Closed, ResolvedPublic

Description

In the web interface of Special:PagesWithBadges, it will send a parameter 'badge' to find what page is it.

But it does not show it on the Special:ApiSandbox.

And it is useless with a error msg '<error code="internal_api_error_BadMethodCallException" info="[WDfVdgpAIEAAABr-n20AAAAM] Exception Caught: Call to a member function getSerialization() on a non-object (null)"/>',even though I send the parameter in the request of api.php.

Event Timeline

Cwek created this task.Nov 25 2016, 7:28 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 25 2016, 7:28 AM
Aklapper renamed this task from It seems it have a missing parameter of api.php?action=querylist=querypage&qppage=PagesWithBadges to Missing parameter 'badge' of api.php?action=querylist=querypage&qppage=PagesWithBadges.Nov 25 2016, 12:10 PM
Anomie added a subscriber: Anomie.

ApiQueryQueryPage doesn't support random special pages' parameters. Since it looks like this query page is useless without this parameter, Wikibase should add it to $wgAPIUselessQueryPages.

Restricted Application added a project: Wikidata. · View Herald TranscriptNov 26 2016, 6:35 PM
Cwek added a comment.EditedNov 28 2016, 3:27 AM

ApiQueryQueryPage doesn't support random special pages' parameters. Since it looks like this query page is useless without this parameter, Wikibase should add it to $wgAPIUselessQueryPages.

Ok. Does it mean that ApiQueryQueryPage doesn't support querying's special pages with parameters?
Maybe two solution we can use.

  1. make api.php?action=querylist=querypage support parameters. Not easy but solve it thoroughly.
  2. remove qppage=PagesWithBadges from api.php?action=querylist=querypage. Easy, Fastest, and at lease I have two other way find the it.(To find FA and GA, I can do it with action=query&list=categorymembers, and action=query&list=pageswithprop&pwppropname=wikibase-badge-Q17437796)

Which one?

Change 381283 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/Wikibase@master] Add PagesWithBadges special page to $wgAPIUselessQueryPages

https://gerrit.wikimedia.org/r/381283

thiemowmde triaged this task as Lowest priority.Sep 29 2017, 9:32 AM
thiemowmde moved this task from incoming to in progress on the Wikidata board.

Change 381283 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add PagesWithBadges special page to $wgAPIUselessQueryPages

https://gerrit.wikimedia.org/r/381283

Ladsgroup closed this task as Resolved.Oct 1 2017, 6:08 PM
Ladsgroup moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.